.chatBox_container {
    background-color: #898989;
    height: 676px;
}

.chatBox {
    height: 75%;
    width: 75%;
    position: absolute;
    top: 92px;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    border: 1px solid rgba(221, 221, 221, 0.623);
    box-shadow: 1px 1px 10px #e8e6ffbd;
    background-color: #cbcbcb;
    border-radius: 10px;
    padding: 1rem;
    display: flex;
}

.chatBox_sidebar {
    width: 23%;
    border-right: 1px solid rgb(7, 31, 75, 0.25);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-right: 1rem;
}

.searchUser {
    padding-bottom: 1rem;
    border-bottom: 1px solid rgb(7, 31, 75, 0.25);
    width: 100%;
}

.all_chat_users {
    overflow-y: scroll;
    width: 100%;
}

.chat_user {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.75rem;
    border-bottom: 1px solid rgb(7, 31, 75, 0.25);
    cursor: pointer;
}

.chat_user_info {
    display: flex;
    align-items: center;
}

.chat_user_avatar {
    width: 35px !important;
    height: 35px !important;
    cursor: pointer;
}

.chat_user_name {
    margin: 0;
    font-weight: 500;
    margin-left: 0.5rem;
}

.chat_user_status_online {
    width: 10px !important;
    color: green;
}

.chat_user_status_offline {
    width: 10px !important;
    color: red;
}

.chatBox_chatInfo {
    width: 74%;
    padding-left: 1rem;
}

.chatInfo_navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: rgb(7, 31, 75);
    border-bottom: 2px solid red;
    padding: 0.5rem;
}

.user_details {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.user_avatar {
    height: 60px !important;
    width: 60px !important;
    margin-right: 1rem;
    cursor: pointer;
}

.user_chatting_name {
    margin: 0;
    font-weight: 600;
    color: #fff;
}

.option_hover:hover {
    background-color: rgba(143, 201, 255, 0.178) !important;
}

.more_icon {
    color: #fff;
}

.messages_displayer {
    background-color: rgb(220, 220, 220);
    height: 392px;
    padding: 1rem;
    overflow-y: scroll;
    display: flex;
    flex-direction: column-reverse;
    border-right: 1px solid rgb(7, 31, 75, 0.25);
    border-left: 1px solid rgb(7, 31, 75, 0.25)
}

.aligner {
    margin-bottom: 1rem;
    height: 22px;
}

.alignerImg {
    margin-bottom: 1rem;
}

.leftMessage_containerImg {
    float: left;
    cursor: pointer;
}

.rightMessage_containerImg {
    float: right;
    cursor: pointer;
}

.chatImg {
    height: 145px;
    width: 245px;
    border-radius: 6px;
    border: 2px solid rgb(29, 110, 175, 0.62);
}

.chatVideo {
    height: 165px;
    width: 285px;
    border-radius: 8px;
}

.leftMessage_container {
    background-color: #0062c759;
    padding: 0.25rem 0.75rem;
    box-shadow: 1px 1px 5px rgb(12, 106, 150);
    float: left;
    border-radius: 25px;
}

.leftMessage {
    margin: 0;
    font-weight: 500;
}

.rightMessage_container {
    background-color: #c7370059;
    padding: 0.25rem 0.75rem;
    box-shadow: 1px 1px 5px rgb(196, 10, 10);
    float: right;
    border-radius: 25px;
}

.rightMessage {
    margin: 0;
    font-weight: 500;
}

.chatInfo_footer {
    background-color: rgb(220, 220, 220);
    padding: 0.5rem 0;
    border: 1px solid rgb(7, 31, 75, 0.25);
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.message_sendButton {
    color: rgb(7, 31, 75);
    height: 33px !important;
    width: 33px !important;
}

.message_attachButton {
    height: 21px !important;
    width: 21px !important;
}

.all_chat_users::-webkit-scrollbar {
    width: 5px;
}

.all_chat_users::-webkit-scrollbar-track {
    border-radius: 10px;
}

.all_chat_users::-webkit-scrollbar-thumb {
    background: rgba(133, 133, 133, 0.438);
    border-radius: 10px;
}

.all_chat_users::-webkit-scrollbar-thumb:hover {
    background: rgb(116, 116, 116);
}

.messages_displayer::-webkit-scrollbar {
    width: 7px;
}

.messages_displayer::-webkit-scrollbar-track {
    border-radius: 6px;
}

.messages_displayer::-webkit-scrollbar-thumb {
    background: rgba(119, 174, 211, 0.438);
    border-radius: 6px;
}

.messages_displayer::-webkit-scrollbar-thumb:hover {
    background: rgba(19, 76, 114, 0.699);
}

.typingAnimation {
    width: 100%;
    background-color: rgb(220, 220, 220);
}